Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_INET_Addr Class Reference

Defines a C++ wrapper facade for the Internet domain address family format. More...

`#include <INET_Addr.h>`

Inheritance diagram for ACE_INET_Addr

[legend]
Collaboration diagram for ACE_INET_Addr:

[legend]
List of all members.

## Public Methods
| ACE_INET_Addr (void)
| Default constructor.
| ACE_INET_Addr (const ACE_INET_Addr &)
| Copy constructor.
| ACE_INET_Addr (const sockaddr_in *, int len)
| Creates an from a sockaddr_in structure.
| ACE_INET_Addr (u_short port_number, const char host_name[])
| Creates an from a <port_number> and the remote <host_name>. The port number is assumed to be in host byte order. To set a port already in network byte order, please See also: set().
ACE_EXPLICIT | ACE_INET_Addr (const char address[])
| ACE_INET_Addr (u_short port_number, ACE_UINT32 ip_addr = INADDR_ANY)
| ACE_INET_Addr (const char port_name[], const char host_name[], const char protocol[] = "tcp")
| Uses <getservbyname> to create an from a <port_name>, the remote <host_name>, and the <protocol>.
| ACE_INET_Addr (const char port_name[], ACE_UINT32 ip_addr, const char protocol[] = "tcp")
| ACE_INET_Addr (u_short port_number, const wchar_t host_name[])
ACE_EXPLICIT | ACE_INET_Addr (const wchar_t address[])
| ACE_INET_Addr (const wchar_t port_name[], const wchar_t host_name[], const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp"))
| ACE_INET_Addr (const wchar_t port_name[], ACE_UINT32 ip_addr, const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp"))
| ~ACE_INET_Addr (void)
| Default dtor.
int | set (const ACE_INET_Addr &)
| Initializes from another .
int | set (u_short port_number, const char host_name[], int encode = 1)
int | set (u_short port_number, ACE_UINT32 ip_addr = INADDR_ANY, int encode = 1)
int | set (const char port_name[], const char host_name[], const char protocol[] = "tcp")
| Uses <getservbyname> to initialize an from a <port_name>, the remote <host_name>, and the <protocol>.
int | set (const char port_name[], ACE_UINT32 ip_addr, const char protocol[] = "tcp")
int | set (const char addr[])
int | set (const sockaddr_in *, int len)
| Creates an from a sockaddr_in structure.
int | set (u_short port_number, const wchar_t host_name[], int encode = 1)
int | set (const wchar_t port_name[], const wchar_t host_name[], const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp"))
int | set (const wchar_t port_name[], ACE_UINT32 ip_addr, const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp"))
int | set (const wchar_t addr[])
virtual void* | get_addr (void) const
| Return a pointer to the underlying network address.
virtual void | set_addr (void *, int len)
| Set a pointer to the address.
virtual int | addr_to_string (ACE_TCHAR buffer[], size_t size, int ipaddr_format = 1) const
virtual int | string_to_addr (const char address[])
void | set_port_number (u_short, int encode = 1)
u_short | get_port_number (void) const
| Return the port number, converting it into host byte-order.
int | get_host_name (char hostname[], size_t hostnamelen) const
int | get_host_name (wchar_t hostname[], size_t hostnamelen) const
const char* | get_host_name (void) const
const char* | get_host_addr (void) const
| Return the "dotted decimal" Internet address.
ACE_UINT32 | get_ip_address (void) const
| Return the 4-byte IP address, converting it into host byte order.
int | operator< (const ACE_INET_Addr &rhs) const
int | operator== (const ACE_INET_Addr &SAP) const
| Compare two addresses for equality. The addresses are considered equal if they contain the same IP address and port number.
int | operator!= (const ACE_INET_Addr &SAP) const
| Compare two addresses for inequality.
virtual u_long | hash (void) const
| Computes and returns hash value.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Methods
int | get_host_name_i (char hostname[], size_t hostnamelen) const
| Insure that hostname is properly null-terminated.
## Private Attributes
sockaddr_in | inet_addr_
| Underlying representation.

## Detailed Description

Defines a C++ wrapper facade for the Internet domain address family format.

## Constructor & Destructor Documentation

ACE_INET_Addr::ACE_INET_Addr ( | void )

| Default constructor.

ACE_INET_Addr::ACE_INET_Addr ( | const ACE_INET_Addr & sa )

| Copy constructor.

ACE_INET_Addr::ACE_INET_Addr ( | const sockaddr_in * addr,
| int len )

| Creates an from a sockaddr_in structure.

ACE_INET_Addr::ACE_INET_Addr ( | u_short port_number,
| const char host_name[] )

| Creates an from a <port_number> and the remote <host_name>. The port number is assumed to be in host byte order. To set a port already in network byte order, please See also: set().

ACE_EXPLICIT ACE_INET_Addr::ACE_INET_Addr ( | const char address[] )

| Initializes an from the , which can be "ip-number:port-number" (e.g., "tango.cs.wustl.edu:1234" or "128.252.166.57:1234"). If there is no ':' in the it is assumed to be a port number, with the IP address being INADDR_ANY.

ACE_INET_Addr::ACE_INET_Addr ( | u_short port_number,
| ACE_UINT32 ip_addr = INADDR_ANY )

| Creates an from a <port_number> and an Internet <ip_addr>. This method assumes that <port_number> and <ip_addr> are in host byte order. If you have addressing information in network byte order, See also: set().

ACE_INET_Addr::ACE_INET_Addr ( | const char port_name[],
| const char host_name[],
| const char protocol[] = "tcp" )

| Uses <getservbyname> to create an from a <port_name>, the remote <host_name>, and the <protocol>.

ACE_INET_Addr::ACE_INET_Addr ( | const char port_name[],
| ACE_UINT32 ip_addr,
| const char protocol[] = "tcp" )

| Uses <getservbyname> to create an from a <port_name>, an Internet <ip_addr>, and the <protocol>. This method assumes that <ip_addr> is in host byte order.

ACE_INET_Addr::ACE_INET_Addr ( | u_short port_number,
| const wchar_t host_name[] )

ACE_INET_Addr::ACE_INET_Addr ( | const wchar_t address[] )

ACE_INET_Addr::ACE_INET_Addr ( | const wchar_t port_name[],
| const wchar_t host_name[],
| const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp") )

ACE_INET_Addr::ACE_INET_Addr ( | const wchar_t port_name[],
| ACE_UINT32 inet_address,
| const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp") )

ACE_INLINE ACE_INET_Addr::~ACE_INET_Addr ( | void )

| Default dtor.

## Member Function Documentation

int ACE_INET_Addr::addr_to_string ( | ACE_TCHAR buffer[],
| size_t size,
| int ipaddr_format = 1 ) const`[virtual]`

| Transform the current address into string format. If <ipaddr_format> is non-0 this produces "ip-number:port-number" (e.g., "128.252.166.57:1234"), whereas if <ipaddr_format> is 0 this produces "ip-name:port-number" (e.g., "tango.cs.wustl.edu:1234"). Returns -1 if the <size> of the <buffer> is too small, else 0.

void ACE_INET_Addr::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_Addr.

ACE_INLINE void * ACE_INET_Addr::get_addr ( | void ) const`[virtual]`

| Return a pointer to the underlying network address. Reimplemented from ACE_Addr.

ACE_INLINE const char * ACE_INET_Addr::get_host_addr ( | void ) const

| Return the "dotted decimal" Internet address.

const char * ACE_INET_Addr::get_host_name ( | void ) const

| Return the character representation of the hostname (this version is non-reentrant since it returns a pointer to a static data area).

int ACE_INET_Addr::get_host_name ( | wchar_t hostname[],
| size_t len ) const

int ACE_INET_Addr::get_host_name ( | char hostname[],
| size_t hostnamelen ) const

| Return the character representation of the name of the host, storing it in the <hostname> (which is assumed to be <hostnamelen> bytes long). This version is reentrant. If <hostnamelen> is greater than 0 then <hostname> will be NUL-terminated even if -1 is returned.

int ACE_INET_Addr::get_host_name_i ( | char hostname[],
| size_t hostnamelen ) const`[private]`

| Insure that hostname is properly null-terminated.

ACE_INLINE ACE_UINT32 ACE_INET_Addr::get_ip_address ( | void ) const

| Return the 4-byte IP address, converting it into host byte order.

ACE_INLINE u_short ACE_INET_Addr::get_port_number ( | void ) const

| Return the port number, converting it into host byte-order.

ACE_INLINE u_long ACE_INET_Addr::hash ( | void ) const`[virtual]`

| Computes and returns hash value. Reimplemented from ACE_Addr.

int ACE_INET_Addr::operator!= ( | const ACE_INET_Addr & SAP ) const

| Compare two addresses for inequality.

ACE_INLINE int ACE_INET_Addr::operator< ( | const ACE_INET_Addr & rhs ) const

| Returns true if <this> is less than <rhs>. In this context, "less than" is defined in terms of IP address and TCP port number. This operator makes it possible to use s in STL maps.

int ACE_INET_Addr::operator== ( | const ACE_INET_Addr & SAP ) const

| Compare two addresses for equality. The addresses are considered equal if they contain the same IP address and port number.

int ACE_INET_Addr::set ( | const wchar_t addr[] )

int ACE_INET_Addr::set ( | const wchar_t port_name[],
| ACE_UINT32 ip_addr,
| const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp") )

int ACE_INET_Addr::set ( | const wchar_t port_name[],
| const wchar_t host_name[],
| const wchar_t protocol[] = ACE_TEXT_WIDE ("tcp") )

int ACE_INET_Addr::set ( | u_short port_number,
| const wchar_t host_name[],
| int encode = 1 )

int ACE_INET_Addr::set ( | const sockaddr_in * addr,
| int len )

| Creates an from a sockaddr_in structure.

int ACE_INET_Addr::set ( | const char addr[] )

| Initializes an from the , which can be "ip-number:port-number" (e.g., "tango.cs.wustl.edu:1234" or "128.252.166.57:1234"). If there is no ':' in the it is assumed to be a port number, with the IP address being INADDR_ANY.

int ACE_INET_Addr::set ( | const char port_name[],
| ACE_UINT32 ip_addr,
| const char protocol[] = "tcp" )

| Uses <getservbyname> to initialize an from a <port_name>, an <ip_addr>, and the <protocol>. This assumes that <ip_addr> is already in network byte order.

int ACE_INET_Addr::set ( | const char port_name[],
| const char host_name[],
| const char protocol[] = "tcp" )

| Uses <getservbyname> to initialize an from a <port_name>, the remote <host_name>, and the <protocol>.

int ACE_INET_Addr::set ( | u_short port_number,
| ACE_UINT32 ip_addr = INADDR_ANY,
| int encode = 1 )

  | Initializes an from a Parameters:
  port_number | and an Internet
  ip_addr. | If
  encode | is non-zero then the port number and IP address are converted into network byte order, otherwise they are assumed to be in network byte order already and are passed straight through.

int ACE_INET_Addr::set ( | u_short port_number,
| const char host_name[],
| int encode = 1 )

| Initializes an from a <port_number> and the remote <host_name>. If <encode> is non-zero then <port_number> is converted into network byte order, otherwise it is assumed to be in network byte order already and are passed straight through.

int ACE_INET_Addr::set ( | const ACE_INET_Addr & sa )

| Initializes from another .

void ACE_INET_Addr::set_addr ( | void * addr,
| int len )`[virtual]`

| Set a pointer to the address. Reimplemented from ACE_Addr.

void ACE_INET_Addr::set_port_number ( | u_short port_number,
| int encode = 1 )

| Sets the port number without affecting the host name. If <encode> is enabled then <port_number> is converted into network byte order, otherwise it is assumed to be in network byte order already and are passed straight through.

int ACE_INET_Addr::string_to_addr ( | const char address[] )`[virtual]`

| Initializes an from the , which can be "ip-addr:port-number" (e.g., "tango.cs.wustl.edu:1234"), "ip-addr:port-name" (e.g., "tango.cs.wustl.edu:telnet"), "ip-number:port-number" (e.g., "128.252.166.57:1234"), or "ip-number:port-name" (e.g., "128.252.166.57:telnet"). If there is no ':' in the it is assumed to be a port number, with the IP address being INADDR_ANY.

## Member Data Documentation

ACE_INET_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Addr.

sockaddr_in ACE_INET_Addr::inet_addr_`[private]`

| Underlying representation.

The documentation for this class was generated from the following files:

- INET_Addr.h
- INET_Addr.cpp
- INET_Addr.i